[Frage] Visual Scripting: LengthInputError [Gelöst]


Hello all,

after an Allplan update, when I start my existing scripts, I get an error message (see image 1) in connection with the node <LengthInput>. When I look at these nodes, I see that there has been a change here (see image 2).

Is this the reason for the error message? If so, how can I correct the error?

Regards,

Marco

Anhänge (3)

img
2020-12-13_LengthInputError_1.JPG
Typ: image/jpeg
4-mal heruntergeladen
Größe: 18,45 KiB
img
2020-12-13_LengthInputError_2.JPG
Typ: image/jpeg
4-mal heruntergeladen
Größe: 20,03 KiB
img
2020-12-13_NodeGetStartEndPointError.JPG
Typ: image/jpeg
1-mal heruntergeladen
Größe: 16,81 KiB

Lösung anzeigen Lösung verbergen

Download the full installation package and install it. It will automatically downgrade to 2021-0-0. And all your project data will keep untouched.

If you want to backup the data beforehand, try backup the data folder. By default, it is located under "C:\Data\", if you have data locally.

Regards
Xinling

1 - 9 (9)
  • 1

Hi Marco,

Auto-Update caused the problem. It failed to update some nodes, although it said it was successful...
Please try to reinstall the latest ALLPLAN again, and it should fix the problem.

Regards
Xinling

Hi Xinling,

do you mean the ALLPLAN Hotfix 2021-0-2?

Regards
Marco

Anhänge (1)

img
2020-12-13_Allplan Hotfix 2021-0-2.JPG
Typ: image/jpeg
10-mal heruntergeladen
Größe: 30,88 KiB

Hi Marco,

Not the hofix.
I mean the full installation package. That Hotfix may have the same problem...

Regards
Xinling

Anhänge (1)

img
Download.png
Typ: image/png
21-mal heruntergeladen
Größe: 33,73 KiB

Hi Xinling,

since I only have the Student Version: is this the correct installation package?

Regards,
Marco

Anhänge (1)

img
2020-12-13_Allplan 2021_1.JPG
Typ: image/jpeg
10-mal heruntergeladen
Größe: 39,39 KiB

Zitiert von: PuMaIng
Hi Xinling,
since I only have the Student Version: is this the correct installation package?
Regards,

Marco

Hmm... As the student version of 2021-0-2 won't be released and 2021-0-3 isn't released yet, you can install the old version of Allplan e.g. 2021-0-0 to temporarily avoid the problem. And don't update it to 2021-0-3, if you don't need that version.

Sorry for the inconvenience. We try to figure it out, why the auto-update doesn't work...

Regards
Xinling

Thank you for your answer. Is there anything in particular I need to be aware of when downloading this package? Not that my project data will be deleted or overwritten....

Regards,
Marco

Download the full installation package and install it. It will automatically downgrade to 2021-0-0. And all your project data will keep untouched.

If you want to backup the data beforehand, try backup the data folder. By default, it is located under "C:\Data\", if you have data locally.

Regards
Xinling

Hi Xinling,

I downloaded the full ALLPLAN Installation Package 2021-0-3 (luckily available since today), installed it and tested VS again. Now it`s working without any problems.
Thank you for your help.

Regards,

Marco

1 - 9 (9)
  • 1

Verwendung von Cookies:
Um die Webseite optimal gestalten und fortlaufend verbessern zu können, verwendet Allplan Cookies.
Durch die weitere Nutzung der Webseite erklären Sie sich mit der Verwendung von Cookies einverstanden.  -  Mehr Informationen

Schließen